tvecjoin(1)

NAME
tvecjoin - Join non-interlapping ranges into extended vectors

SYNOPSIS
tvecjoin [-i infile] [-o outfile] [-J N rngv1 joiv1 ... rngvN joivN]

DESCRIPTION
tvecjoin is used to combine timings of differing ranges into one large tvec. This is often advantageous because you want to run small problems with high nrep and large problems with low nrep. Then, after you remove the repetions with tvecreduce, you combine them into full vectors with tvecjoin. It takes two types of tvecs: range tvecs and data tvecs. The range tvecs are usually problem size description. Each -J arglist represents the combining of the specified original tvecs, with joiv1 overwritten at the end with extended vector that will now have the combined length of all # joined tvecs, and rngv1 overwritten by the combine ranges. In subsequent -J iterations, joiv1 cannot appear as either a source or destination, and rngv1 cannot appear as subsequent rngv1 unless it is a precise match for the prior rnjv1. Further, any subsequent reference to rngv1 as a source will receive the original definition that came into the function (so you can join two different rngv1's with the same range tvec), not the joined one that will be output at the end of processing. At the end of processing, only the joined vectors are output (i.e. only those vectors who have been rngv1 or joiv1).

OPTIONS

-i infile
    Take input from infile, rather than stdin.

-o outfile
    Write tvecs to outfile, rather than stdout.

-J N rngv1 joiv1 ... rngvN joivN
    List of all vectors to join, and the range vectors that allow them to be sorted.

EXAMPLE
tvecjoin -i small_med_lrg.tvec -J 3 N_lrg MFLOP_lrg N_sm MFLOP_sm N_med MFLOP_med

BUGS
http://math-atlas.sourceforge.net/faq.html#help

SEE ALSO
atltvecs(7) tvecget(1) tvecunify() tveccat(1) tvecselect(1) tvecratio(1) tvecjoin(1) tvecscale(1) tvecreduce(1) tvecrename(1) tvecprint(1)

AUTHOR
R. Clint Whaley